Bug 1123926 - SELinux is preventing /usr/sbin/console-kit-daemon from write access on the directory /var/lib/dbus
Summary: SELinux is preventing /usr/sbin/console-kit-daemon from write access on the d...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 16:21 UTC by Robbie Harwood
Modified: 2014-10-27 22:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1178117 (view as bug list)
Environment:
Last Closed: 2014-10-27 22:55:09 UTC


Attachments (Terms of Use)

Description Robbie Harwood 2014-07-28 16:21:20 UTC
SELinux is preventing /usr/sbin/console-kit-daemon from write access on the directory /var/lib/dbus.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that console-kit-daemon should be allowed write access on the dbus directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep console-kit-dae /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:consolekit_t:s0
Target Context                system_u:object_r:system_dbusd_var_lib_t:s0
Target Objects                /var/lib/dbus [ dir ]
Source                        console-kit-dae
Source Path                   /usr/sbin/console-kit-daemon
Port                          <Unknown>
Host                          thriss
Source RPM Packages           ConsoleKit-0.4.5-8.fc21.x86_64
Target RPM Packages           dbus-1.8.6-2.fc22.x86_64
Policy RPM                    selinux-policy-3.13.1-67.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     thriss
Platform                      Linux thriss 3.16.0-0.rc6.git3.1.fc22.x86_64 #1
                              SMP Sat Jul 26 14:47:29 UTC 2014 x86_64 x86_64
Alert Count                   8
First Seen                    2014-07-22 14:56:23 EDT
Last Seen                     2014-07-28 12:10:42 EDT
Local ID                      8e798f1c-c5dc-48c6-86c5-ed5d6acc8382

Raw Audit Messages
type=AVC msg=audit(1406563842.417:367): avc:  denied  { write } for  pid=1355 comm="console-kit-dae" name="dbus" dev="dm-0" ino=1654875 scontext=system_u:system_r:consolekit_t:s0 tcontext=system_u:object_r:system_dbusd_var_lib_t:s0 tclass=dir permissive=0


type=SYSCALL msg=audit(1406563842.417:367): arch=x86_64 syscall=open success=no exit=EACCES a0=1feae20 a1=c1 a2=1a4 a3=c1 items=0 ppid=1 pid=1355 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=console-kit-dae exe=/usr/sbin/console-kit-daemon subj=system_u:system_r:consolekit_t:s0 key=(null)

Hash: console-kit-dae,consolekit_t,system_dbusd_var_lib_t,dir,write

Thanks!

Comment 1 Miroslav Grepl 2014-07-30 09:13:56 UTC
Any chance to re-test it in permissive mode to see what console-kit-d wants to write here.

Comment 2 Robbie Harwood 2014-07-30 22:17:21 UTC
It's a sporadic failure, but I will provide more information if it happens again.

Comment 3 Robbie Harwood 2014-09-29 13:52:27 UTC
Removing needinfo because I have installed over this machine.


Note You need to log in before you can comment on or make changes to this bug.